﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using FGCS.Core.ViewModels;
using Microsoft.AspNetCore;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;
namespace FGCS.Core
{
    public class Program
    {
        /// <summary>
        /// 修改http地址
        /// </summary>
        private static string launchsettings = TOHepler.GetConfig("ConnectionStrings:LuYou");
        public static void Main(string[] args)
        {
            BuildWebHost(args).Run();
        }

        public static IWebHost BuildWebHost(string[] args) =>
            WebHost.CreateDefaultBuilder(args)
                .UseStartup<Startup>()
                .UseUrls(launchsettings)
                .Build();
    }
}
