﻿using System;
using System.Collections.Generic;

namespace FGCS.Core.Models
{
    public partial class Merchant
    {
        public Merchant()
        {
            CommodityDetails = new HashSet<CommodityDetails>();
            CommodityType = new HashSet<CommodityType>();
            Dictionary = new HashSet<Dictionary>();
            Order = new HashSet<Order>();
        }

        public int MuId { get; set; }
        public string MName { get; set; }
        public DateTime MRegisterDate { get; set; }
        public string MPhone { get; set; }
        public string MAddress { get; set; }
        public string MDetailsAddress { get; set; }
        public string MPicture { get; set; }
        public string MText { get; set; }
        public bool MState { get; set; }

        public User Mu { get; set; }
        public ICollection<CommodityDetails> CommodityDetails { get; set; }
        public ICollection<CommodityType> CommodityType { get; set; }
        public ICollection<Dictionary> Dictionary { get; set; }
        public ICollection<Order> Order { get; set; }
    }
}
