﻿using System;
using System.Collections.Generic;

namespace FGCS.Core.Models
{
    public partial class Order
    {
        public Order()
        {
            Dictionary = new HashSet<Dictionary>();
            OrderDetails = new HashSet<OrderDetails>();
        }

        public int OId { get; set; }
        public int UId { get; set; }
        public int MuId { get; set; }
        public string OAddresss { get; set; }
        public string OText { get; set; }
        public DateTime ORegister { get; set; }
        public decimal OPrice { get; set; }

        public Merchant Mu { get; set; }
        public User U { get; set; }
        public ICollection<Dictionary> Dictionary { get; set; }
        public ICollection<OrderDetails> OrderDetails { get; set; }
    }
}
