﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace FGCS.Core.ViewModels
{
    public class UserVM
    {

    }
    public class Login
    {
        /// <summary>
        /// 帐号
        /// </summary>
        public string Account { get; set; }
        /// <summary>
        /// 密码
        /// </summary>
        public string Password { get; set; }
    }
    public class SQL
    {
        public string _conStr { get; set; }
    }
    public class OrderVM
    {
        public int OId { get; set; }
        public int UId { get; set; }
        public int MUId { get; set; }
        public string UName { get; set; }
        public string ORegister { get; set; }
        public decimal OPrice { get; set; }
        public string MName { get; set; }
        public string OAddresss { get; set; }
        public string OText { get; set; }
        public string DTypeDetailed { get; set; }
    }
    public class OrderDetailedVM
    {
        public int OdId { get; set; }
        public int OId { get; set; }
        public int CdId { get; set; }
        public string OdDic { get; set; }
        public string OdSpecification { get; set; }
        public int OdSum { get; set; }
        public decimal OdSubtotal { get; set; }
        public string OName { get; set; }
    }
    public class SpecificationVM
    {
        public int id { get; set; }
        public string name { get; set; }
        public List<ComSpecificationVM> comSpecifications { get; set; } = new List<ComSpecificationVM>();
    }
    public class ComSpecificationVM
    {
        public int CsdId { get; set; }
        public int? CdId { get; set; }
        public string CsdType { get; set; }
        public string CsdTypeName { get; set; }
        public decimal? CsdTypePrice { get; set; }
        public int? CsdTypeSum { get; set; }
    }
    public class DeleteSpecificationListVM
    {
        public string name { get; set; }
        public int id { get; set; }
    }
    public class AttributeVM
    {
        public int id { get; set; }
        public string name { get; set; }
        public List<AttributeListVM> attributeListVMs { get; set; } = new List<AttributeListVM>();
    }
    public class AttributeListVM
    {
        public int DId { get; set; }
        public string DType { get; set; }
        public string DTypeDetailed { get; set; }
        public bool? DState { get; set; }
        public string DText { get; set; }
    }
    public class CommodityDetailsVM
    {
        public int CdId { get; set; }
        public int? CtId { get; set; }
        public int MuId { get; set; }
        public string CdName { get; set; }
        public decimal CdPrice { get; set; }
        public string CdPicture { get; set; }
        public string CdDescribe { get; set; }
        public bool CdState { get; set; }
        public bool CdRecommend { get; set; }
        public int? CdSum { get; set; }
        public bool x { get; set; }
        public string s { get; set; }
        public List<CommodityDictionaryVM> c { get; set; } = new List<CommodityDictionaryVM>();
    }
    public class CommodityDictionaryVM
    {
        public int id { get; set; }
        public string name { get; set; }
    }
}
